Bug 18193 - It's not clear whether "The HTMLPropertiesCollection interface represents a collection of elements that add name-value pairs to a particular item in the microdata model." is a normative requirement
It's not clear whether "The HTMLPropertiesCollection interface represents a c...
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 17:37 UTC by contributor
Modified: 2012-09-28 05:15 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 17:37:43 UTC
This was was cloned from bug 17194 as part of operation convergence.
Originally filed: 2012-05-25 19:08:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-05-25 19:08:55 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/common-dom-interfaces.html
Multipage: http://www.whatwg.org/C#htmlpropertiescollection-0
Complete: http://www.whatwg.org/c#htmlpropertiescollection-0

Comment:
It's not clear whether "The HTMLPropertiesCollection interface represents a
collection of elements that add name-value pairs to a particular item in the
microdata model." is a normative requirement

Posted from: 71.184.125.56 by bzbarsky@mit.edu
User agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:15.0) Gecko/15.0 Firefox/15.0a1
================================================================================
 #1   Boris Zbarsky                                   2012-05-25 19:16:01 +0000 
--------------------------------------------------------------------------------
To expand on this:

It looks like a non-normative thing because of "a collection" vs "the collection".  But "represents" is a technical term for collections: it determines the exact set of names and ids that the collection has.  So if this is a non-normative statement, then we should not use "represents" here, ideally.

On the other hand, if this requirement is normative, then I'm not sure what it's supposed to mean, exactly.

And specifically, what should the .properties be for an element not in a document?  If I ignore this statement, the spec currently says empty collection.
================================================================================
Comment 1 Silvia Pfeiffer 2012-09-28 05:15:56 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: applied patch
https://github.com/w3c/html/commit/003b012950d9df4b7c837a1a3c9f55eedbcd8734
Rationale: adopted resolution by WHATWG